package com.emr.entity.his;

import java.util.Date;

public class HISBA7 {
    private Long fid;

    private String fprn;

    private Integer ftimes;

    private Date fhlrq1;

    private Date fhlrq2;

    private String fhldrug;

    private String fhlproc;

    private String fhllxbh;

    private String fhllx;

    public Long getFid() {
        return fid;
    }

    public void setFid(Long fid) {
        this.fid = fid;
    }

    public String getFprn() {
        return fprn;
    }

    public void setFprn(String fprn) {
        this.fprn = fprn == null ? null : fprn.trim();
    }

    public Integer getFtimes() {
        return ftimes;
    }

    public void setFtimes(Integer ftimes) {
        this.ftimes = ftimes;
    }

    public Date getFhlrq1() {
        return fhlrq1;
    }

    public void setFhlrq1(Date fhlrq1) {
        this.fhlrq1 = fhlrq1;
    }

    public Date getFhlrq2() {
        return fhlrq2;
    }

    public void setFhlrq2(Date fhlrq2) {
        this.fhlrq2 = fhlrq2;
    }

    public String getFhldrug() {
        return fhldrug;
    }

    public void setFhldrug(String fhldrug) {
        this.fhldrug = fhldrug == null ? null : fhldrug.trim();
    }

    public String getFhlproc() {
        return fhlproc;
    }

    public void setFhlproc(String fhlproc) {
        this.fhlproc = fhlproc == null ? null : fhlproc.trim();
    }

    public String getFhllxbh() {
        return fhllxbh;
    }

    public void setFhllxbh(String fhllxbh) {
        this.fhllxbh = fhllxbh == null ? null : fhllxbh.trim();
    }

    public String getFhllx() {
        return fhllx;
    }

    public void setFhllx(String fhllx) {
        this.fhllx = fhllx == null ? null : fhllx.trim();
    }
}